/*
 * Copyright (c) 2011 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __TIZEN_SYSTEM_FEEDBACK_DOC_H__
#define __TIZEN_SYSTEM_FEEDBACK_DOC_H__

/**
 * @ingroup CAPI_SYSTEM_FRAMEWORK
 * @defgroup CAPI_SYSTEM_FEEDBACK_MODULE Feedback
 * @brief  The FEEDBACK API provides functions to play sound or vibration associated with properties.
 *
 * @section CAPI_SYSTEM_FEEDBACK_MODULE_HEADER Required Header
 *   \#include <feedback.h>
 *
 * @section CAPI_SYSTEM_FEEDBACK_MODULE_OVERVIEW Overview
 * The FEEDBACK API is responsible for playing simple sound and vibration.
 * It plays sound using mm-sound library and vibration with system framework.

 * @section CAPI_SYSTEM_FEEDBACK_FEATURE Related Features
 * This API is related with the following features:\n
 * - %http://tizen.org/feature/feedback.vibration\n
 *
 * It is recommended to design feature related codes in your application for reliability.\n
 *
 * You can check if a device supports the related features for this API by using @ref CAPI_SYSTEM_SYSTEM_INFO_MODULE, thereby controlling the procedure of your application.\n
 *
 * To ensure your application is only running on the device with specific features, please define the features in your manifest file using the manifest editor in the SDK.\n
 *
 * More details on featuring your application can be found from <a href="https://developer.tizen.org/development/tizen-studio/native-tools/configuring-your-app/manifest-text-editor#feature"><b>Feature List</b>.</a>
 *
 *
 */

#endif /* __TIZEN_SYSTEM_FEEDBACK_DOC_H__ */
